import CJS_COMPAT_NODE_URL_d9mk320nhlu from 'node:url';
import CJS_COMPAT_NODE_PATH_d9mk320nhlu from 'node:path';
import CJS_COMPAT_NODE_MODULE_d9mk320nhlu from "node:module";

var __filename = CJS_COMPAT_NODE_URL_d9mk320nhlu.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_d9mk320nhlu.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_d9mk320nhlu.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  getAutomockCode
} from "../../../../_node-chunks/chunk-PRFJLPSU.js";
import {
  babelParser
} from "../../../../_node-chunks/chunk-N7NWMLKC.js";
import "../../../../_node-chunks/chunk-NGUIPPVA.js";
import {
  __name
} from "../../../../_node-chunks/chunk-IZ555C57.js";

// src/core-server/presets/webpack/loaders/webpack-automock-loader.ts
function webpackAutomockLoader(source) {
  const options = this.getOptions();
  const isSpy = options.spy === "true";
  const mocked = getAutomockCode(source, isSpy, babelParser);
  return mocked.toString();
}
__name(webpackAutomockLoader, "webpackAutomockLoader");
export {
  webpackAutomockLoader as default
};
